MIX_GetTrackPlaybackPosition(3)

NAME
MIX_GetTrackPlaybackPosition - Get the current input position of a playing track.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

Sint64 MIX_GetTrackPlaybackPosition(MIX_Track *track);

DESCRIPTION
(Not to be confused with MIX_GetTrack3DPosition(), which is positioning of the track in 3D space, not the playback position of its audio data.)

Position is defined in _sample frames_ of decoded audio, not units of time, so that sample-perfect mixing can be achieved. To instead operate in units of time, use MIX_TrackFramesToMS() to convert the return value to milliseconds.

Stopped and paused tracks will report the position when they halted. Playing tracks will report the current position, which will change over time.

FUNCTION PARAMETERS

track
    the track to change.

RETURN VALUE
Returns the track's current sample frame position, or -1 on error; call SDL_GetError() for details.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_SetTrackPlaybackPosition(3)